%define name python-ldap
%define ver 2.0.0pre19
%define rel 1mdk

%define have_pre %(echo %ver|awk '{p=0} /[a-z,A-Z][a-z,A-Z]/ {p=1} {print p}')
%if %have_pre
%define version %(perl -e '$name="%ver"; print ($name =~ /(.*?)[a-z]/);')
%define release 0.%(echo %ver|sed -e 's/%version//g').%rel
%else
%define version %ver
%define release %rel
%endif

Summary: 	Various LDAP-related Python modules
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{ver}.tar.bz2
Patch:		python-ldap-setup.cfg.patch.bz2
License:	Modified CNRI Open Source License
Group: 		Development/Python
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
Url: 		http://python-ldap.sourceforge.net/
BuildRequires:	openldap-devel python-devel

%description
python-ldap provides an object-oriented API to access LDAP directory 
servers from Python programs. Mainly it wraps the OpenLDAP 2.x libs 
for that purpose.

Additionally the package contains modules for other LDAP-related stuff 
(e.g. processing LDIF, LDAPURLs, LDAPv3 schema, etc.).

%prep
%setup -q -n %{name}-%ver
%patch -p1

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc CHANGES README INSTALL TODO Demo/

%changelog
* Mon Feb 16 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.0-0.pre19.1mdk
- First Mandrake package
